package com.wdkl.ncs.android.middleware.model.dos;

import com.fasterxml.jackson.databind.PropertyNamingStrategy;
import com.fasterxml.jackson.databind.annotation.JsonNaming;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.wdkl.ncs.android.middleware.model.annotation.Column;
import com.wdkl.ncs.android.middleware.model.annotation.Id;
import com.wdkl.ncs.android.middleware.model.annotation.PrimaryKeyField;
import com.wdkl.ncs.android.middleware.model.annotation.Table;

import java.io.Serializable;

@Table(name = "ncs_task")
@ApiModel
@JsonNaming(value = PropertyNamingStrategy.SnakeCaseStrategy.class)
public class TaskDO implements Serializable {

    /**
     * null
     */
    @Column(name = "id")
    @ApiModelProperty(value = "null", required = false)
    @Id(name = "id")
    private Integer id;
    /**
     * null
     */
    @Column(name = "union_id")
    @ApiModelProperty(value = "null", required = false)
    private String unionId;
    /**
     * null
     */
    @Column(name = "create_time")
    @ApiModelProperty(value = "null", required = false)
    private Long createTime;
    /**
     * 科室id
     */
    @Column(name = "part_id")
    @ApiModelProperty(value = "科室id", required = false)
    private Integer partId;
    /**
     * 预计任务时间
     */
    @Column(name = "task_plan_time")
    @ApiModelProperty(value = "预计任务时间", required = false)
    private Long taskPlanTime;
    /**
     * 实际任务时间
     */
    @Column(name = "task_do_time")
    @ApiModelProperty(value = "实际任务时间", required = false)
    private Long taskDoTime;
    /**
     * 任务成功?
     */
    @Column(name = "task_success")
    @ApiModelProperty(value = "任务成功?", required = false)
    private Boolean taskSuccess;
    /**
     * 任务结果
     */
    @Column(name = "task_result")
    @ApiModelProperty(value = "任务结果", required = false)
    private String taskResult;
    /**
     * 任务操作人
     */
    @Column(name = "task_do_member_id")
    @ApiModelProperty(value = "任务操作人", required = false)
    private Integer taskDoMemberId;
    /**
     * 任务添加人。系统添加时为0
     */
    @Column(name = "create_id")
    @ApiModelProperty(value = "任务添加人。系统添加时为0", required = false)
    private Integer createId;


    @PrimaryKeyField
    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }


    public String getUnionId() {
        return unionId;
    }

    public void setUnionId(String unionId) {
        this.unionId = unionId;
    }


    public Long getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Long createTime) {
        this.createTime = createTime;
    }


    public Integer getPartId() {
        return partId;
    }

    public void setPartId(Integer partId) {
        this.partId = partId;
    }


    public Long getTaskPlanTime() {
        return taskPlanTime;
    }

    public void setTaskPlanTime(Long taskPlanTime) {
        this.taskPlanTime = taskPlanTime;
    }


    public Long getTaskDoTime() {
        return taskDoTime;
    }

    public void setTaskDoTime(Long taskDoTime) {
        this.taskDoTime = taskDoTime;
    }


    public Boolean getTaskSuccess() {
        return taskSuccess;
    }

    public void setTaskSuccess(Boolean taskSuccess) {
        this.taskSuccess = taskSuccess;
    }


    public String getTaskResult() {
        return taskResult;
    }

    public void setTaskResult(String taskResult) {
        this.taskResult = taskResult;
    }


    public Integer getTaskDoMemberId() {
        return taskDoMemberId;
    }

    public void setTaskDoMemberId(Integer taskDoMemberId) {
        this.taskDoMemberId = taskDoMemberId;
    }


    public Integer getCreateId() {
        return createId;
    }

    public void setCreateId(Integer createId) {
        this.createId = createId;
    }

}
